#include "led.h"
#include "HAL_device.h"


void LED_Init(void)
{
    RCC->AHBENR |= RCC_AHBENR_GPIOAEN | RCC_AHBENR_GPIOBEN;

    GPIOA->CRH |= GPIO_CRH_MODE15;
    GPIOA->ODR |= GPIO_ODR_ODR15;

    GPIOB->CRL |= GPIO_CRL_MODE3 | GPIO_CRL_MODE4 | GPIO_CRL_MODE5;
    GPIOB->ODR |= GPIO_ODR_ODR3 | GPIO_ODR_ODR4 | GPIO_ODR_ODR5;

    LED1_OFF();
    LED2_OFF();
    LED3_OFF();
    LED4_OFF();
}

